# Copyright 2021 The ML Collections Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Lint as: python 3
"""Defines a method which returns an instance of ConfigDict."""

import ml_collections


def get_config():
  config = ml_collections.ConfigDict()
  config.field1 = 1
  config.field2 = 'tom'
  config.nested = ml_collections.ConfigDict()
  config.nested.field = 2.23
  config.tuple = (1, 2, 3)
  return config
